package com.hz.pm.api.meeting.entity.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * MeetingInviteDTO
 * </p>
 *
 * @author WendyYang
 * @since 19:21 2023/3/7
 */
@Data
public final class InviteCacheDTO {

    private Long meetingId;

    /**
     * 拒绝的专家是否可以再次邀请
     */
    private Boolean reInvite;

    /**
     * 任务触发时间
     */
    private LocalDateTime taskStartTime;

    public static InviteCacheDTO of(Long meetingId, Boolean reInvite, LocalDateTime startTime) {
        InviteCacheDTO bo = new InviteCacheDTO();
        bo.setMeetingId(meetingId);
        bo.setReInvite(reInvite);
        bo.setTaskStartTime(startTime);
        return bo;
    }

}